* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

:root {
  --light-cl: #fff;
  --dark-cl: #000;
  --light-blue: #03b2ed;
  --light-pink: #fd59ca;
  --dark-purple: #450063;
  --light-purple: #9414d1;
  --sm-text-sz: 0.9rem;
  --md-text-sz: 1.5rem;
  --hd-text-sz: 3rem;
  --transit: 0.5s ease;
}

@font-face {
  font-family: "Montserrat-Bold";
  src: url("../../../../fonts/Montserrat-Bold.ttf");
}

@font-face {
  font-family: "Montserrat-Medium";
  src: url("../../../../fonts/Montserrat-Medium.ttf");
}

@font-face {
  font-family: "Montserrat-Light";
  src: url("../../../../fonts/Montserrat-Light.ttf");
}

body {
  background-color: var(--dark-cl);
}

h1 {
  font-family: "Montserrat-Bold";
  font-size: var(--hd-text-sz);
  color: var(--light-cl);
}

h3 {
  font-family: "Montserrat-Medium";
  font-size: var(--md-text-sz);
  color: var(--light-cl);
}

p,
a,
i,
b,
input {
  font-family: "Montserrat-Light";
  font-size: var(--sm-text-sz);
  color: var(--light-cl);
}

a {
  text-decoration: none;
  color: var(--light-cl);
}

#logo {
  width: 170px;
}

#hamburger {
  display: flex;
  font-size: 1.6rem;
  margin-top: -10px;
  cursor: pointer;
}

.nav_bar {
  display: none;
}

.nav_bar.active {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  width: 90%;
  position: fixed;
  padding: 40px 60px;
  gap: 20px;
  top: 8%;
  left: 0%;
  z-index: 10;
  background-color: var(--dark-cl);
}

header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 20px 60px;
  width: 100%;
  position: fixed;
  z-index: 100000;
  background: linear-gradient(#000d, #0004, transparent);
}

.logo_container h3 {
  color: var(--light-blue);
}

.search_bar {
  display: flex;
  width: 250px;
  border-radius: 20px;
  padding: 10px 20px;
  position: relative;
  background-color: transparent;
  text-align: left;
  color: var(--light-cl);
  border: 1px solid var(--light-cl);
  transition: var(--transit);
  font-size: 0.9rem;
}

.search_bar:focus {
  border: 1px solid var(--light-cl);
}

.search_bar {
  color: var(--light-cl);
}

#search_icon {
  display: none;
  position: absolute;
  color: var(--light-cl);
  top: 43%;
  left: 61%;
  font-size: 0.8rem;
}

.newsletter_logo_container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
  background-color: transparent;
  border: 1px solid var(--light-cl);
  border-radius: 20px;
  padding: 10px 20px;
  cursor: pointer;
  width: 250px;
  transition: var(--transit);
}

.newsletter_logo_container p {
  font-size: 0.8rem;
}

.newsletter_logo_container:hover {
  background-color: lightgray;

  p {
    color: var(--dark-cl);
  }

  i {
    color: var(--dark-cl);
  }
}

section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100vh;
}

.wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  padding: 40px 80px;
}

.front_section {
  width: 100%;
  height: 70%;
}

.front_section .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  width: 100%;
  height: 70%;
  padding: 0px;
}

.video_container {
  display: flex;
  width: 100%;
  height: 80vh;
  padding: 0px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
}

#movie_player {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100vw;
  height: calc(100% + 200px); /* 16:9 */
  min-width: 177.78vh;
  min-height: 100vh;
  transform: translate(-50%, -50%);
}

.video_container::after {
  content: "";
  width: 100%;
  height: 100vh;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 1));
  position: absolute;
  z-index: 10;
}

.text_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  position: absolute;
  z-index: 100;
  width: 320px;
  left: 5%;
  gap: 7px;
  padding: 20px;
}

.text_container h1 {
  line-height: 40px;
}

.video_watch_button_container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}

.btn {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 8px 15px;
  background-color: var(--light-purple);
  border-radius: 10px;
  transition: var(--transit);
}

.btn:hover {
  letter-spacing: 1px;
  background-color: transparent;
  color: var(--light-cl);
  border: 1px solid var(--light-cl);
}

.bollywood_collection .wrapper,
.anime_collection .wrapper,
.kdrama_collection .wrapper,
.movies_section .wrapper {
  width: 100%;
  height: auto;
  overflow: hidden;
  padding: 40px 40px;
}

.movies_headers {
  width: 100%;
  margin-bottom: 20px;
  display: flex;
  flex-direction: row;
  gap: 130px;
  font-family: var(--md-text-sz);
  font-weight: bolder;
}

#hr_line {
  background-color: var(--light-blue);
  width: 100%;
  height: 3px;
  border-style: none;
  margin-bottom: 20px;
}

.movie_preview_headers {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  font-variant-caps: all-petite-caps;
}

.movie_preview_headers_li {
  display: flex;
  flex-direction: row;
  gap: 10px;
  width: 300px;
}

.movies_headers a {
  cursor: pointer;
  transition: var(--transit);
}

.movies_headers a.show_bd {
  border-bottom: 5px solid var(--light-purple);
}

.movie_preview_headers div:nth-child(2) {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.movie_preview_headers div:nth-child(2) i {
  cursor: pointer;
}

/* .movie_dropdown_container{
  margin-left: 100px;
} */

.movie_dropdown {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: end;
  width: 150px;
  top: 20%;
  left: 18%;
  position: absolute;
  z-index: 1000;
}

.movie_dropdown i,
.movie_dropdown b {
  color: var(--dark-cl);
  background: var(--light-cl);
}

.movie_dropdown b,
.movie_dropdown a {
  width: 180px;
  padding: 10px 10px;
  text-align: right;
  color: var(--dark-cl);
  cursor: pointer;
  transition: var(--transit);
  border: 1px solid var(--dark-cl);
  background: var(--light-cl);
}

.movie_dropdown a {
  display: none;
  font-weight: bold;
  font-size: 0.7rem;
}

.movie_dropdown b:hover {
  letter-spacing: 1px;
}

.movie_dropdown a:hover {
  background-color: var(--dark-cl);
  color: var(--light-cl);
}

.movie_dropdown a.show_dropdown {
  display: flex;
  justify-content: end;
}

.movies_preview_container {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: 100vh;
  margin-top: 10px;
  gap: 40px;
  overflow-x: auto;
  overflow-y: hidden;
  scroll-snap-type: x mandatory;
}

.movies_preview_container::-webkit-scrollbar {
  display: none;
}

.bollywood_movies_containers,
.anime_movies_containers,
.kdrama_movies_containers,
.movies_containers {
  min-width: 100%;
  height: 70vh;
  padding: 60px 0px;
  overflow-x: hidden;
  overflow-y: scroll;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  align-items: center;
  scroll-snap-align: start;
  transition: var(--transit);
}

.bollywood_movies_containers::-webkit-scrollbar,
.anime_movies_containers::-webkit-scrollbar,
.kdrama_movies_containers::-webkit-scrollbar,
.movies_containers::-webkit-scrollbar {
  display: none;
}

.bollywood_movies_containers.scalein,
.anime_movies_containers.scalein,
.kdrama_movies_containers.scalein,
.movies_containers.scalein {
  animation: scalein 1.5s;
  transition: scalein var(--transit);
}

.bollywood_movies_containers.hide_selected,
.anime_movies_containers.hide_selected,
.kdrama_movies_containers.hide_selected,
.movies_containers.hide_selected {
  display: none;
}

.movie_preview_card {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  width: 130px;
  height: auto;
  overflow: hidden;
  padding: 20px;
  transition: var(--transit);
  position: relative;
}

.movie_preview_description {
  height: 20px;
  overflow: hidden;
}

.movie_preview_picture {
  width: 130px;
  height: 200px;
  border-radius: 10px;
  position: relative;
  margin: 10px;
}

.movie_preview_picture img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.movie_preview_title {
  font-size: 1rem;
  text-align: left;
}

.movie_preview_text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 4px;
}

.movie_preview_description {
  width: 130px;
  height: 13px;
}

.movie_preview_text p {
  font-size: 0.7rem;
  width: 130px;
}

.movie_preview_see_btn {
  font-size: 0.7rem;
  text-decoration: underline;
  cursor: pointer;
}

.movies_section,
.movies_preview_container,
.movie_section .wrapper,
.movies_preview_body_container {
  height: auto;
}

.movie_preview_signup_card {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  width: 200px;
  height: 300px;
  border-radius: 10px;
}

.movie_preview_signup_card a {
  width: 160px;
  text-align: center;
  background-color: var(--light-cl);
  padding: 10px 20px;
  color: var(--dark-cl);
  transition: var(--transit);
  border-radius: 10px;

  i {
    color: var(--dark-cl);
    font-size: 0.7rem;
  }
}

.movie_preview_signup_card a:hover {
  background-color: var(--dark-cl);
  border: 1px solid var(--light-cl);
  color: var(--light-cl);

  i {
    color: var(--light-cl);
  }
}

.movie_preview_text.preview_display {
  display: none;
}

.movie_preview_picture.preview_display {
  filter: blur(2px);
}

.movie_preview_signup_card.preview_display {
  display: flex;
  z-index: 1;
  position: absolute;
}

.movie_preview_description.show_more {
  height: auto;
}

.movie_back_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 10px;
  top: 0%;
  left: 0;
  z-index: 1;
  position: absolute;
  opacity: 0;
  pointer-events: none;
  cursor: pointer;
  transition: 0.3s;
  background-color: rgba(0, 0, 0, 0.6);
}

.movie_back_container.active {
  opacity: 1;
  pointer-events: auto;
}

.see_all_btn,
.watch_movie_btn {
  padding: 10px 20px;
  width: fit-content;
  font-size: 0.7rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 3px;
  border-radius: 5px;
  cursor: pointer;
  background-color: var(--light-purple);
  color: var(--light-cl);
  transition: var(--transit);

  i {
    font-size: 0.7rem;
    color: var(--light-cl);
  }
}

.see_all_btn:hover,
.watch_movie_btn:hover {
  background-color: transparent;
  border: 1px solid var(--light-cl);
  color: var(--light-cl);

  i {
    color: var(--light-cl);
  }
}

.movie_preview_empty_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  width: 100%;
  height: 100%;
}

.error_icon {
  font-size: 6rem;
  transform: rotateZ(-50deg);
  color: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(10px);
  animation: bounce 3s infinite;
  transition: var(--transit);
  margin-bottom: 10px;
}

.refresh_button {
  display: flex;
  flex-direction: row;
  gap: 5px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  background-color: var(--light-purple);
  color: var(--light-cl);
  padding: 10px 20px;
  transition: var(--transit);

  i {
    color: var(--light-cl);
  }
}

.refresh_button:hover {
  background-color: var(--dark-cl);
  border: 1px solid var(--light-cl);
  color: var(--light-cl);

  i {
    color: var(--light-cl);
  }
}

.bollywood_collection h3,
.anime_collection h3,
.kdrama_collection h3 {
  margin-bottom: 20px;
}

.kdrama_collection .movie_dropdown {
  top: 26%;
}

.anime_collection .movie_dropdown {
  top: 26%;
}

.bollywood_collection .movie_dropdown {
  top: 27%;
}

.footer_items_container {
  width: 100%;
  height: 100px;
  padding: 40px 40px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.footer_items_container .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 0px;
}

.footer_options_container {
  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: center;
  align-items: center;
}

.footer_contact_icon {
  margin-top: 20px;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  gap: 17px;
}

.footer_contact_icon a {
  background-color: transparent;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: solid 1px var(--light-cl);
}

.footer_options_container a:hover {
  border-bottom: 2px solid;
  border-radius: 3px;
  border-color: var(--light-purple);
  font-size: 1.1rem;
  transform: translateX(-5px);
}

.loader_modal {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 10000000;
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 1);
}

.loader {
  width: 50px;
  animation: loader 1s infinite alternate;
  transition: var(--transit);
}

.loader img {
  width: 100%;
  object-fit: cover;
}

.movie_loader_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: var(--dark-cl);
}

.movie_loader {
  display: flex;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  animation: loading 2s linear infinite;
  border: 5px solid var(--dark-cl);
  border-top: 5px solid var(--light-purple);
  transition: var(--transit);
}

.newsletter_modal {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 10000;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: url("../../../../images/movies_collection.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 1000000;
}

.newsletter_modal:after {
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  position: absolute;
  background: #000;
  opacity: 0.8;
}

.newsletter_modal .wrapper {
  z-index: 10;
}

#back_btn {
  position: absolute;
  top: 10%;
  left: 5%;
  font-size: 1.5rem;
  cursor: pointer;
}

.newsletter_form {
  width: 320px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.newsletter_form h1 {
  text-align: center;
  line-height: 40px;
}

.newsletter_form p:nth-child(2) {
  text-align: center;
  width: 250px;
  font-size: 0.8rem;
}

.newsletter_form form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.newsletter_form input {
  width: 250px;
  color: #000;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
}

.submit_newsletter_email_btn {
  width: 100px;
  color: #fff;
  font-size: 0.8rem;
  font-weight: bold;
  background-color: #000;
  margin-top: 10px;
  border: 1px solid #fff;
  border-radius: 5px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  gap: 10px;
  padding: 10px 15px;
  transition: var(--transit);
}

.submit_newsletter_email_btn:hover {
  background-color: #fff;
  border: 1px solid #000;
  color: #000;
  letter-spacing: 1px;
}

.newsletter_form div {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 2px;
}

.newsletter_form div p {
  font-size: 0.8rem;
}

.newsletter_form div b {
  font-size: 0.8rem;
  cursor: pointer;
  text-decoration: underline;
  transition: var(--transit);
}

.newsletter_form div b:hover {
  color: var(--light-purple);
}

.newsletter_modal footer {
  top: 80%;
  left: 0;
  position: absolute;
}

.newsletter_message {
  display: none;
  padding: 20px;
  width: 50%;
}

.newsletter_message.success {
  display: flex;
  background-color: green;
  color: var(--light-cl);
}

.newsletter_message.error {
  display: flex;
  background-color: red;
  color: var(--light-cl);
}

.cookies_modal {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100000;
  background-color: rgba(0, 0, 0, 0.9);
}

.cookies_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 300px;
  height: 350px;
  padding: 20px 40px;
  gap: 10px;
  border-radius: 20px;
  box-shadow: 1px 1px 10px lightgray;
}

#cookie_icon {
  font-size: 5rem;
}

.cookies_btns_container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

#close_cookies_modal_btn {
  cursor: pointer;
  position: absolute;
  left: 75%;
  top: 35%;
  font-size: 1rem;
}

.cookies_btns_container a {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5px;
  width: 100px;
  font-weight: bold;
  cursor: pointer;
  border-radius: 5px;
  padding: 10px;
  transition: var(--transit);
}

.cookies_btns_container a:nth-child(2):hover,
.cookies_btns_container a:nth-child(1) {
  background-color: #fff;
  color: #000;

  i {
    color: #000;
  }
}

.cookies_btns_container a:nth-child(1):hover,
.cookies_btns_container a:nth-child(2) {
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  i {
    color: #fff;
  }
}

.search_section {
  height: 60vh;
  background: url("../../../../images/movies_collection.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
}

.best_ranking_wrapper::after,
.search_section::after {
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 10;
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 2));
}

.search_section::after {
  height: 60vh;
}

.search_section::before {
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 70vh;
  position: absolute;
  z-index: 1;
  opacity: 0.6;
  background-color: #000;
}

.search_section .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 100%;
  height: 60vh;
  z-index: 100;
}

.search_section .wrapper_container {
  width: 300px;
  height: 60vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.wrapper_container h1 {
  text-align: center;
  line-height: 40px;
}

.wrapper_container span {
  color: var(--light-purple);
}

#big_search_bar {
  width: 300px;
  padding: 10px 20px;
  border-radius: 50px;
  border: none;
  position: relative;
  font-size: 0.8rem;
  color: #000;
}

#big_search_bar:focus {
  border: none;
}

#big_search_icon {
  display: none;
  position: absolute;
  top: 59%;
  left: 76%;
  font-size: 0.8rem;
  color: #000;
  font-weight: bold;
}

.search_results_container {
  height: auto;
}

.search_results_container .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  width: 100%;
  padding: 30px;
  height: auto;
}

.search_recommend_head,
.search_results_head {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;

  i {
    margin-top: 6px;
    margin-left: 30px;
  }
}

.search_results_body {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: start;
  padding: 20px 0px;
  gap: 20px;
  width: 100%;
  height: auto;
}

.search_recommend_body {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: start;
  padding: 20px 0px;
  width: 100%;
  gap: 20px;
  height: auto;
}

.genre_movies_container {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: flex-start;
  gap: 10px;
  padding: 80px 40px;
  height: auto;
}

.genre_movies_container_wrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: start;
  align-items: center;
  position: relative;
  width: 100%;
  height: auto;
}

.genre_movies_container_wrapper::-webkit-scrollbar {
  display: none;
}

.genre_movies_header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  z-index: 10;
}

.genre_name {
  text-transform: uppercase;
}

.error_page_section .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
}

.error_page_section #error_icon {
  font-size: 6rem;
  color: var(--light-purple);
  animation: mover 1.5s infinite;
}

.error_page_section h1 {
  font-size: 4rem;
}

.error_page_section a {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5px;
  border: none;
  margin-top: 10px;
  padding: 10px 20px;
  border-radius: 5px;
  transition: var(--transit);
  background-color: var(--light-purple);
  color: var(--light-cl);
}

.error_page_section a:hover {
  background-color: #000;
  border: 1px solid #fff;
  color: #fff;

  i {
    color: #fff;
  }
}

.fetch_error_modal {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  position: absolute;
  z-index: 100000;
  background-color: #000;
}

.fetch_error_modal .wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  width: 500px;
}

.fetch_error_modal h1 {
  text-align: center;
  line-height: 40px;
}

.fetch_error_modal p {
  text-align: center;
}

#fetch_error_icon {
  font-size: 5rem;
  color: var(--light-purple);
  animation: loader 2s infinite alternate;
}

.refresh_page_btn {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  border-radius: 10px;
  padding: 10px 20px;
  width: fit-content;
  background-color: var(--light-purple);
  color: var(--light-cl);
  transition: var(--transit);
}

.refresh_page_btn:hover {
  background-color: var(--dark-cl);
  border: 1px solid var(--light-cl);

  i {
    color: var(--light-cl);
  }
}

.movie_image_spinner_container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.image_loader_spinner {
  display: flex;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  animation: loading 1s infinite;
  border: 5px solid var(--dark-cl);
  border-top: 5px solid var(--light-purple);
  transition: var(--transit);
}

.best_ranking_section {
  padding: 0px;
}

.best_ranking_wrapper {
  display: flex;
  width: 100%;
  height: 100%;
  flex-direction: row;
  justify-content: start;
  align-items: center;
  background-position: right center;
  background-size: cover;
  background-repeat: no-repeat;
}

.best_ranking_wrapper::after {
  position: absolute;
}

.best_ranking_section .best_ranking_image_container {
  display: none;
  width: 350px;
  height: 350px;
  overflow: hidden;
  border-radius: 20px;
  z-index: 100;
}

.best_ranking_section .best_ranking_image_container img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.best_ranking_text_container {
  margin-left: 40px;
  width: 300px;
  height: 350px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  z-index: 100;
}

.best_ranking_text_container h1 {
  line-height: 40px;
}

.best_ranking_text_container span {
  color: var(--light-cl);
  font-family: "Montserrat-Light";
  letter-spacing: 2px;
  text-transform: uppercase;
}

.watch_btn {
  padding: 10px 20px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  background: linear-gradient(
    to right,
    transparent 50%,
    var(--light-purple) 50%
  );
  background-size: 200% 100%;
  background-position: right;
  gap: 10px;
  width: fit-content;
  color: var(--light-cl);
  border-radius: 5px;
  transition: var(--transit);
}

.watch_btn:hover {
  background-position: left;
  color: var(--light-purple);
  font-weight: bold;
  border: 1px solid var(--light-purple);

  i {
    color: var(--light-purple);
  }
}

@keyframes loading {
  from {
    transform: rotateZ(0deg);
  }
  to {
    transform: rotateZ(360deg);
  }
}

@keyframes scalein {
  0% {
    transform: scale(0.8);
    transform: translateX(50px);
    opacity: 0;
  }
  100% {
    transform: scale(1);
    transform: translateX(0px);
    opacity: 1;
  }
}

@keyframes loader {
  from {
    scale: 0.3;
  }
  to {
    scale: 1;
  }
}

@keyframes bounce {
  30% {
    transform: translateY(10px);
  }
  50% {
    transform: translateY(30px);
  }
  90% {
    transform: translateY(10px);
  }
}

@keyframes mover {
  from {
    transform: translateX(0px);
    opacity: 0;
  }
  to {
    transform: translateX(10px);
    opacity: 0.9;
  }
}

@media screen and (min-width: 1025px) and (max-width: 2000px) {
  :root {
    --sm-text-sz: 0.9rem;
    --md-text-sz: 1.5rem;
    --hd-text-sz: 3rem;
  }

  #hamburger {
    display: none;
  }

  .nav_bar {
    display: flex;
    flex-direction: row;
    width: 80%;
    padding: 0px 0px 0px 120px;
    justify-content: space-between;
    align-items: center;
  }

  .search_bar {
    display: flex;
    width: 400px;
    border-radius: 20px;
    padding: 10px 20px;
    position: relative;
    background-color: transparent;
    text-align: left;
    color: var(--light-cl);
    border: 1px solid var(--light-cl);
    transition: var(--transit);
    font-size: 0.9rem;
  }

  .newsletter_logo_container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
    background-color: transparent;
    border: 1px solid var(--light-cl);
    border-radius: 20px;
    padding: 10px 20px;
    cursor: pointer;
    transition: var(--transit);
  }

  header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 20px 60px;
    width: 100%;
    position: fixed;
    z-index: 100000;
    background: linear-gradient(#000d, #0004, transparent);
  }

  .footer_items_container {
    width: 100%;
    height: 100px;
    display: flex;
    flex-direction: row;
  }

  .footer_items_container .wrapper {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  .footer_contact_icon {
    margin-top: 0px;
    margin-bottom: 0px;
    display: flex;
    justify-content: center;
    gap: 17px;
  }

  #close_cookies_modal_btn {
    font-size: 1rem;
    left: 59%;
    top: 24%;
  }

  .text_container {
    width: 500px;
    left: 5%;
  }

  .front_section .wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    width: 100%;
    height: 100%;
    padding: 0px;
  }

  .video_container {
    display: flex;
    width: 100%;
    height: 100vh;
    padding: 0px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    position: relative;
  }

  .bollywood_collection .wrapper,
  .anime_collection .wrapper,
  .kdrama_collection .wrapper,
  .movies_section .wrapper {
    width: 100%;
    height: auto;
    overflow: hidden;
    padding: 0px 80px;
  }

  .bollywood_movies_containers,
  .anime_movies_containers,
  .kdrama_movies_containers,
  .movies_containers {
    min-width: 100%;
    height: 70vh;
    padding: 20px 0px;
    justify-content: space-between;
  }

  .movie_dropdown {
    top: 16%;
    left: 80%;
  }

  .movie_preview_card {
    width: 200px;
  }

  .movie_preview_picture {
    width: 200px;
    height: 250px;
  }

  .movie_preview_description {
    width: 200px;
    height: 13px;
  }

  .movie_preview_text p {
    font-size: 0.7rem;
    width: 200px;
  }

  .search_section .wrapper_container {
    width: 700px;
    height: 100vh;
    gap: 20px;
  }

  #big_search_bar {
    width: 500px;
    padding: 10px 20px;
    border-radius: 50px;
    border: none;
    font-size: 0.8rem;
    color: #000;
  }

  .search_results_container .wrapper {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    width: 100%;
    padding: 80px;
    height: auto;
  }

  .search_results_body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: start;
    align-items: start;
  }

  .search_recommend_body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: start;
    align-items: center;
  }

  .see_all_btn,
  .watch_movie_btn {
    padding: 10px 20px;
    width: fit-content;
    font-size: var(--sm-text-sz);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 3px;
    border-radius: 5px;
    cursor: pointer;
    background-color: var(--light-purple);
    color: var(--light-cl);
    transition: var(--transit);

    i {
      font-size: var(--sm-text-sz);
      color: var(--light-cl);
    }
  }

  .best_ranking_section .best_ranking_image_container {
    display: flex;
  }

  .best_ranking_text_container {
    margin-left: 0px;
    width: 500px;
    height: 350px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    z-index: 100;
  }

  .genre_movies_container_wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: start;
    align-items: flex-start;
    position: relative;
    width: 100%;
    height: auto;
  }

  .genre_movies_container {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: flex-start;
    gap: 10px;
    padding: 80px 60px;
  }

  .newsletter_form {
    width: 700px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .newsletter_form h1 {
    text-align: center;
    line-height: 40px;
  }

  .newsletter_form p:nth-child(2) {
    text-align: center;
    width: 400px;
    font-size: 0.8rem;
  }

  .newsletter_form form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .newsletter_form input {
    width: 300px;
    color: #000;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
  }

  .submit_newsletter_email_btn {
    width: 200px;
    color: #fff;
    font-size: 0.8rem;
    font-weight: bold;
    background-color: #000;
    margin-top: 10px;
    border: 1px solid #fff;
    border-radius: 5px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    gap: 10px;
    padding: 10px 15px;
    transition: var(--transit);
  }

  .submit_newsletter_email_btn:hover {
    background-color: #fff;
    border: 1px solid #000;
    color: #000;
    letter-spacing: 1px;
  }

  .newsletter_form div {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 2px;
  }

  .newsletter_form div p {
    font-size: 0.8rem;
  }

  .newsletter_form div b {
    font-size: 0.8rem;
    cursor: pointer;
    text-decoration: underline;
    transition: var(--transit);
  }

  .newsletter_form div b:hover {
    color: var(--light-purple);
  }

  #big_search_icon {
    display: flex;
    position: absolute;
    top: 59%;
    left: 76%;
    font-size: 0.8rem;
    color: #000;
    font-weight: bold;
  }
}
